AnovaDialog Class Reference

Filter options dialog. More...

`#include <AnovaDialog.h>`

Inheritance diagram for AnovaDialog:

## Public Member Functions

| AnovaDialog (QWidget *parent, Table *t, const StatisticTest::TestType &type=StatisticTest::AnovaTest, bool twoWay=false)

## Private Slots

void | accept ()
void | addData ()
void | enableDescriptiveStatistics ()
void | removeData ()
void | showCurrentFolder (bool)
void | updateLevelBoxes ()

## Private Member Functions

void | acceptNormalityTest ()
void | closeEvent (QCloseEvent *)
void | outputResults (StatisticTest *stats, const QString &s)

## Private Attributes

QSpinBox * | aLevelsBox
QListWidget * | availableSamples
QSpinBox * | bLevelsBox
QComboBox * | boxModel
QCheckBox * | boxNoteWindow
QCheckBox * | boxResultsLog
QCheckBox * | boxResultsTable
DoubleSpinBox * | boxSignificance
QPushButton * | btnAdd
QPushButton * | btnRemove
QPushButton * | buttonOk
QCheckBox * | currentFolderBox
Note * | d_note
Table * | d_table
StatisticTest::TestType | d_test_type
bool | d_two_way
QLineEdit * | noteNameLineEdit
CollapsiveGroupBox * | outputSettingsBox
QTreeWidget * | selectedSamples
QCheckBox * | showInteractionsBox
QCheckBox * | showStatisticsBox
QLineEdit * | tableNameLineEdit

## Detailed Description

Filter options dialog.

## Constructor & Destructor Documentation

AnovaDialog::AnovaDialog | ( | QWidget * | parent,
|  | Table * | t,
|  | const StatisticTest::TestType & | type = `StatisticTest::AnovaTest`,
|  | bool | twoWay = `false`
| ) |  |

References accept(), addData(), aLevelsBox, StatisticTest::AnovaTest, availableSamples, bLevelsBox, boxModel, boxNoteWindow, boxResultsLog, boxResultsTable, boxSignificance, btnAdd, btnRemove, buttonOk, currentFolderBox, ApplicationWindow::d_descriptive_stats, d_note, ApplicationWindow::d_stats_output, ApplicationWindow::d_stats_result_log, ApplicationWindow::d_stats_result_notes, ApplicationWindow::d_stats_result_table, ApplicationWindow::d_stats_significance_level, d_table, d_test_type, enableDescriptiveStatistics(), noteNameLineEdit, outputSettingsBox, removeData(), Table::selectedColumns(), selectedSamples, DoubleSpinBox::setDecimals(), DoubleSpinBox::setRange(), DoubleSpinBox::setSingleStep(), DoubleSpinBox::setValue(), showCurrentFolder(), showInteractionsBox, showStatisticsBox, tableNameLineEdit, and updateLevelBoxes().

## Member Function Documentation

void AnovaDialog::accept | ( |  | ) |

private slot

References acceptNormalityTest(), StatisticTest::AnovaTest, d_test_type, and StatisticTest::NormalityTest.

Referenced by AnovaDialog().

void AnovaDialog::acceptNormalityTest | ( |  | ) |

private

References boxSignificance, Statistics::dataSize(), ShapiroWilkTest::logInfo(), outputResults(), selectedSamples, StatisticTest::setSignificanceLevel(), ShapiroWilkTest::shortLogInfo(), and DoubleSpinBox::value().

Referenced by accept().

void AnovaDialog::addData | ( |  | ) |

private slot

References availableSamples, d_two_way, selectedSamples, and updateLevelBoxes().

Referenced by AnovaDialog().

void AnovaDialog::closeEvent | ( | QCloseEvent * | e | ) |

private

References StatisticTest::AnovaTest, boxNoteWindow, boxResultsLog, boxResultsTable, boxSignificance, ApplicationWindow::d_descriptive_stats, ApplicationWindow::d_stats_output, ApplicationWindow::d_stats_result_log, ApplicationWindow::d_stats_result_notes, ApplicationWindow::d_stats_result_table, ApplicationWindow::d_stats_significance_level, d_test_type, outputSettingsBox, showStatisticsBox, and DoubleSpinBox::value().

void AnovaDialog::enableDescriptiveStatistics | ( |  | ) |

private slot

References StatisticTest::AnovaTest, boxNoteWindow, boxResultsLog, d_test_type, and showStatisticsBox.

Referenced by AnovaDialog().

void AnovaDialog::outputResults | ( | StatisticTest * | stats,
|  | const QString & | s
| ) |  |

private

References boxNoteWindow, boxResultsLog, boxResultsTable, Note::currentEditor(), d_note, d_table, ApplicationWindow::newNote(), noteNameLineEdit, StatisticTest::outputResultsTo(), StatisticTest::resultTable(), Note::setText(), ApplicationWindow::table(), tableNameLineEdit, ApplicationWindow::updateLog(), and ApplicationWindow::window().

Referenced by acceptNormalityTest().

void AnovaDialog::removeData | ( |  | ) |

private slot

References d_two_way, selectedSamples, and updateLevelBoxes().

Referenced by AnovaDialog().

void AnovaDialog::showCurrentFolder | ( | bool | currentFolder | ) |

private slot

References availableSamples, Table::colName(), ApplicationWindow::columnsList(), ApplicationWindow::currentFolder(), Table::numCols(), and Folder::windowsList().

Referenced by AnovaDialog().

void AnovaDialog::updateLevelBoxes | ( |  | ) |

private slot

References aLevelsBox, bLevelsBox, and selectedSamples.

Referenced by addData(), AnovaDialog(), and removeData().

## Member Data Documentation

QSpinBox* AnovaDialog::aLevelsBox

private

Referenced by AnovaDialog(), and updateLevelBoxes().

QListWidget* AnovaDialog::availableSamples

private

Referenced by addData(), AnovaDialog(), and showCurrentFolder().

QSpinBox* AnovaDialog::bLevelsBox

private

Referenced by AnovaDialog(), and updateLevelBoxes().

QComboBox* AnovaDialog::boxModel

private

Referenced by AnovaDialog().

QCheckBox* AnovaDialog::boxNoteWindow

private

Referenced by AnovaDialog(), closeEvent(), enableDescriptiveStatistics(), and outputResults().

QCheckBox* AnovaDialog::boxResultsLog

private

Referenced by AnovaDialog(), closeEvent(), enableDescriptiveStatistics(), and outputResults().

QCheckBox* AnovaDialog::boxResultsTable

private

Referenced by AnovaDialog(), closeEvent(), and outputResults().

DoubleSpinBox* AnovaDialog::boxSignificance

private

Referenced by acceptNormalityTest(), AnovaDialog(), and closeEvent().

QPushButton* AnovaDialog::btnAdd

private

Referenced by AnovaDialog().

QPushButton* AnovaDialog::btnRemove

private

Referenced by AnovaDialog().

QPushButton* AnovaDialog::buttonOk

private

Referenced by AnovaDialog().

QCheckBox* AnovaDialog::currentFolderBox

private

Referenced by AnovaDialog().

Note* AnovaDialog::d_note

private

Referenced by AnovaDialog(), and outputResults().

Table* AnovaDialog::d_table

private

Referenced by AnovaDialog(), and outputResults().

StatisticTest::TestType AnovaDialog::d_test_type

private

Referenced by accept(), AnovaDialog(), closeEvent(), and enableDescriptiveStatistics().

bool AnovaDialog::d_two_way

private

Referenced by addData(), and removeData().

QLineEdit* AnovaDialog::noteNameLineEdit

private

Referenced by AnovaDialog(), and outputResults().

CollapsiveGroupBox* AnovaDialog::outputSettingsBox

private

Referenced by AnovaDialog(), and closeEvent().

QTreeWidget* AnovaDialog::selectedSamples

private

Referenced by acceptNormalityTest(), addData(), AnovaDialog(), removeData(), and updateLevelBoxes().

QCheckBox* AnovaDialog::showInteractionsBox

private

Referenced by AnovaDialog().

QCheckBox* AnovaDialog::showStatisticsBox

private

Referenced by AnovaDialog(), closeEvent(), and enableDescriptiveStatistics().

QLineEdit* AnovaDialog::tableNameLineEdit

private

Referenced by AnovaDialog(), and outputResults().

The documentation for this class was generated from the following files:

- qtiplot/src/analysis/dialogs/AnovaDialog.h
- qtiplot/src/analysis/dialogs/AnovaDialog.cpp